Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1361910 - fontopia abends trashing keyboard
Summary: fontopia abends trashing keyboard
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: fontopia
Version: 24
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Mohammed Isam
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-31 20:07 UTC by Don Swaner
Modified: 2016-09-06 04:18 UTC (History)
1 user (show)

Fixed In Version: fontopia-1.7-1.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-06 04:18:15 UTC


Attachments (Terms of Use)

Description Don Swaner 2016-07-31 20:07:40 UTC
Description of problem:
When editing a console font, fontopia abends leaving keyboard in an unusable state.

Version-Release number of selected component (if applicable):
fontopia-1.1-4.fc24.x86_64
terminus-fonts-console-4.40-5.fc24.noarch

How reproducible:
Very.

Steps to Reproduce:
1. copy /usr/lib/kbd/consolefonts/ter-124b.psf.gz into a work directory
2. unzip the work ter-124b.psf
3. CTRL-ALT-F2 and login
4. switch to work directory
5. fontopia ter-124b.psf
6. press right-arrow key

Actual results:
fontopia abends: Aborted (core dumped)
keyboard is now in unusable state
machine must be cold booted

Expected results:
display of font bits changes from left half of British Pound symbol to right half of British Pound symbol.

Additional info:

Comment 1 Fedora Update System 2016-08-02 09:22:15 UTC
fontopia-1.3-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c11733a9ce

Comment 2 Fedora Update System 2016-08-02 09:31:54 UTC
fontopia-1.3-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-98b2471662

Comment 3 Fedora Update System 2016-08-02 13:33:11 UTC
fontopia-1.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cf00c28efd

Comment 4 Fedora Update System 2016-08-02 20:48:28 UTC
fontopia-1.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-cf00c28efd

Comment 5 Fedora Update System 2016-08-02 21:52:24 UTC
fontopia-1.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-98b2471662

Comment 6 Fedora Update System 2016-08-02 21:53:31 UTC
fontopia-1.3-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c11733a9ce

Comment 7 Fedora Update System 2016-08-04 15:55:41 UTC
fontopia-1.4-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-195759fcaf

Comment 8 Fedora Update System 2016-08-04 16:03:02 UTC
fontopia-1.4-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-10a90a21b0

Comment 9 Fedora Update System 2016-08-04 16:08:24 UTC
fontopia-1.4-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7061e76160

Comment 10 Fedora Update System 2016-08-05 21:18:20 UTC
fontopia-1.4-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-7061e76160

Comment 11 Fedora Update System 2016-08-05 21:22:02 UTC
fontopia-1.4-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-10a90a21b0

Comment 12 Fedora Update System 2016-08-05 21:22:18 UTC
fontopia-1.4-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-195759fcaf

Comment 13 Fedora Update System 2016-08-08 01:10:03 UTC
fontopia-1.5-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-0dadfe2412

Comment 14 Fedora Update System 2016-08-08 01:18:52 UTC
fontopia-1.5-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-fda3fc7bfe

Comment 15 Fedora Update System 2016-08-08 01:25:51 UTC
fontopia-1.5-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-df4c811cf6

Comment 16 Fedora Update System 2016-08-09 01:22:49 UTC
fontopia-1.5-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-fda3fc7bfe

Comment 17 Fedora Update System 2016-08-09 01:26:28 UTC
fontopia-1.5-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-0dadfe2412

Comment 18 Fedora Update System 2016-08-09 02:17:29 UTC
fontopia-1.5-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-df4c811cf6

Comment 19 Fedora Update System 2016-08-10 23:13:28 UTC
fontopia-1.6-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-915f605c39

Comment 20 Fedora Update System 2016-08-10 23:25:19 UTC
fontopia-1.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd58d9f75e

Comment 21 Fedora Update System 2016-08-10 23:52:46 UTC
fontopia-1.6-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-21e23b5644

Comment 22 Fedora Update System 2016-08-12 02:54:58 UTC
fontopia-1.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-bd58d9f75e

Comment 23 Fedora Update System 2016-08-12 03:03:03 UTC
fontopia-1.6-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-915f605c39

Comment 24 Fedora Update System 2016-08-12 03:17:00 UTC
fontopia-1.6-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-21e23b5644

Comment 25 Fedora Update System 2016-08-15 04:20:04 UTC
fontopia-1.7-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-2da7cf41bb

Comment 26 Fedora Update System 2016-08-15 04:29:04 UTC
fontopia-1.7-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-558da0811b

Comment 27 Fedora Update System 2016-08-15 04:34:32 UTC
fontopia-1.7-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ac7587fa5a

Comment 28 Fedora Update System 2016-08-16 01:55:08 UTC
fontopia-1.7-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-558da0811b

Comment 29 Fedora Update System 2016-08-16 05:18:41 UTC
fontopia-1.7-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ac7587fa5a

Comment 30 Fedora Update System 2016-08-16 05:56:21 UTC
fontopia-1.7-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-2da7cf41bb

Comment 31 Fedora Update System 2016-08-20 07:50:18 UTC
fontopia-1.7-1.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ce29dda6f6

Comment 32 Fedora Update System 2016-08-21 03:46:41 UTC
fontopia-1.7-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-ce29dda6f6

Comment 33 Fedora Update System 2016-08-23 12:49:02 UTC
fontopia-1.7-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 34 Fedora Update System 2016-08-23 15:21:56 UTC
fontopia-1.7-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 35 Fedora Update System 2016-08-31 13:19:31 UTC
fontopia-1.7-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 36 Fedora Update System 2016-09-06 04:18:11 UTC
fontopia-1.7-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.